API referenceDefaultProject
Creates a DefaultProject resource.
Creates a DefaultProject resource.
POST
/api/default_projectscurl -X POST "/api/default_projects" \
-H "apikey: $MEDIALISTER_API_KEY" \
-H "Content-Type: application/ld+json" \
-d '{
"name": "First Project"
}'Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Body
application/ld+json
The new DefaultProject resource
namestringrequired
Response
application/ld+json
DefaultProject resource created
@contextone of@idstringrequired@typestringrequiredidstring<uuid>organizationstringnamestringrequiredcampaignsCampaign.jsonld-project.read_all.read[]projectUsersProjectUser.jsonld-project.read_all.read[]notificationsCountintegercreatedAtstring<date-time>updatedAtstring<date-time>gscStateenum<string>One of:connectednot_connectedexpirederrorreconnect_requiredgscErrorMessagestring | nullThe reason behind a failed GSC connection, surfaced next to gscState so the project/campaign/client_user views can explain an
errorstate. Null for every non-error state (no connection, connected, reconnect-required).gscPermissionLevelstring | nulldataForSeoStateenum<integer> | nullOne of:01dataForSeoErrorMessagestring | null
{
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"organization": "/api/organization/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"name": "First Project",
"campaigns": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Campaign Name",
"goal": "My Goal",
"goalDetails": "seo-in-new-articles",
"domain": "string",
"budget": 0,
"publishingPeriod": 0,
"regions": [
"dXJuOm1ieHBsYzpSRUk",
"dXJuOm1ieHBsYzpSRUd"
],
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
],
"projectUsers": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"clientUser": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"country": "/api/geo_locations/0a097745-ff39-4659-8cae-a9bfb596a124",
"email": "string",
"phone": "+111 11111111",
"fullName": "John Doe",
"avatarUrl": "https://lh3.googleusercontent.com/a/avatar",
"confirmedAt": "2026-01-15T09:30:00Z",
"invitedAt": "2026-01-15T09:30:00Z",
"bannedUntil": "2026-01-15T09:30:00Z",
"referredBy": "string",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"publicId": "string"
},
"projectRole": 0,
"invitedAt": "2026-01-15T09:30:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"confirmedAt": "2026-01-15T09:30:00Z"
}
],
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"gscState": "connected",
"gscErrorMessage": "string",
"gscPermissionLevel": "string",
"dataForSeoState": 0,
"dataForSeoErrorMessage": "string"
}